Package it.ernytech.tdlib

## Class TdApi.UpdateFileGenerationStart

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateFileGenerationStart

Enclosing class:
  TdApi

    public static class TdApi.UpdateFileGenerationStart
    extends TdApi.Update

The file generation process needs to be started by the client.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `conversion` String specifying the conversion applied to the original file.
`java.lang.String` `destinationPath` The path to a file that should be created and where the new file should be generated.
`long` `generationId` Unique identifier for the generation process.
`java.lang.String` `originalPath` The path to a file from which a new file is generated, may be empty.

### Constructor Summary

Constructors
`UpdateFileGenerationStart()` Default constructor.
`UpdateFileGenerationStart​(long generationId, java.lang.String originalPath, java.lang.String destinationPath, java.lang.String conversion)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### generationId

    public long generationId

Unique identifier for the generation process.

#### originalPath

    public java.lang.String originalPath

The path to a file from which a new file is generated, may be empty.

#### destinationPath

    public java.lang.String destinationPath

The path to a file that should be created and where the new file should be generated.

#### conversion

    public java.lang.String conversion

String specifying the conversion applied to the original file. If conversion is "#url#" than originalPath contains a HTTP/HTTPS URL of a file, which should be downloaded by the client.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateFileGenerationStart

    public UpdateFileGenerationStart()

Default constructor.

#### UpdateFileGenerationStart

    public UpdateFileGenerationStart​(long generationId,
                                     java.lang.String originalPath,
                                     java.lang.String destinationPath,
                                     java.lang.String conversion)

Constructor for initialization of all fields.

Parameters:
  `generationId` - Unique identifier for the generation process.
  `originalPath` - The path to a file from which a new file is generated, may be empty.
  `destinationPath` - The path to a file that should be created and where the new file should be generated.
  `conversion` - String specifying the conversion applied to the original file. If conversion is "#url#" than originalPath contains a HTTP/HTTPS URL of a file, which should be downloaded by the client.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR